## mingw-w64-pixman-0.44.0-1.src.tar.zst

=== meson_options.txt ===
# Copyright © 2018 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

option(
  'loongson-mmi',
  type : 'feature',
  description : 'Use Loongson MMI intrinsic optimized paths',
)
option(
  'mmx',
  type : 'feature',
  description : 'Use X86 MMX intrinsic optimized paths',
)
option(
  'sse2',
  type : 'feature',
  description : 'Use X86 SSE2 intrinsic optimized paths',
)
option(
  'ssse3',
  type : 'feature',
  description : 'Use X86 SSSE3 intrinsic optimized paths',
)
option(
  'vmx',
  type : 'feature',
  description : 'Use PPC VMX/Altivec intrinsic optimized paths',
)
option(
  'arm-simd',
  type : 'feature',
  description : 'Use ARMv6 SIMD intrinsic optimized paths',
)
option(
  'neon',
  type : 'feature',
  description : 'Use ARM NEON intrinsic optimized paths',
)
option(
  'a64-neon',
  type : 'feature',
  description : 'Use ARM A64 NEON intrinsic optimized paths',
)
option(
  'mips-dspr2',
  type : 'feature',
  description : 'Use MIPS32 DSPr2 intrinsic optimized paths',
)
option(
  'rvv',
  type : 'feature',
  description : 'Use RISC-V Vector extension',
)
option(
  'gnu-inline-asm',
  type : 'feature',
  description : 'Use GNU style inline assembler',
)
option(
  'tls',
  type : 'feature',
  description : 'Use compiler support for thread-local storage',
)
option(
  'cpu-features-path',
  type : 'string',
  description : 'Path to platform-specific cpu-features.[ch] for systems that do not provide it (e.g. Android)',
)
option(
  'openmp',
  type : 'feature',
  description : 'Enable OpenMP for tests',
)
option(
  'timers',
  type : 'boolean',
  value : false,
  description : 'Enable TIMER_* macros',
)
option(
  'gnuplot',
  type : 'boolean',
  value : false,
  description : 'Enable output of filters that can be piped to gnuplot',
)
option(
  'gtk',
  type : 'feature',
  description : 'Enable demos using GTK',
)
option(
  'libpng',
  type : 'feature',
  description : 'Use libpng in tests'
)
option(
  'tests',
  type : 'feature',
  description : 'Build tests'
)
option(
  'demos',
  type : 'feature',
  description : 'Build demos'
)

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>
# Contributor: Renato Silva <br.renatosilva@gmail.com>

_realname=pixman
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=0.44.0
pkgrel=1
pkgdesc="The pixel-manipulation library for X and cairo (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
url="https://gitlab.freedesktop.org/pixman/pixman"
msys2_references=(
  'cpe: cpe:/a:pixman:pixman'
)
license=('spdx:MIT')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-pkgconf"
             "${MINGW_PACKAGE_PREFIX}-libpng"
             "${MINGW_PACKAGE_PREFIX}-meson"
             "${MINGW_PACKAGE_PREFIX}-ninja")
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs")
source=("https://xorg.freedesktop.org/releases/individual/lib/pixman-${pkgver}.tar.xz")
noextract=("pixman-${pkgver}.tar.xz")
sha256sums=('ea55473db5ec9f068bbf4d14ec3186b742804bf74fdc782fc89aa87d2656fc46')

prepare() {
  tar -xf "${srcdir}/pixman-${pkgver}.tar.xz" -C "${srcdir}" 2>/dev/null || true

  cd "${_realname}-${pkgver}"
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="--prefix=" \
  meson setup \
    --prefix="${MINGW_PREFIX}" \
    --buildtype plain \
    -Ddefault_library=both \
    -Dgtk=disabled \
    -Da64-neon=disabled \
    ../${_realname}-${pkgver}

  meson compile
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"

  meson test
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" meson install

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
